<style>
.modal-content {width:800px;margin-left: -100px;}
</style>
<div class="content" >
<div class="bs-callout bs-callout-info"></div>
<table class="table table-sm" id="tblLelang">
    <thead>
    <tr>
    	<th width="20" nowrap>&{'lelang.kode'}</th>
        <th>&{'lelang.nama_paket'}</th>
        <th width="15%">&{'lelang.status'}</th>
        <th width="15%">&{'lelang.tanggal_buat'}</th>
        <th width="25%">&{'lelang.satuan_kerja'}</th>
        <th width="40">&{'lelang.aksi'}</th>
    </tr>
    </thead>
</table>
</div>
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">  
var destid = "${lls_id}";
var copyDokumentUrl = #{jsRoute @lelang.DokumenCtr.editCopy(':destid',':sourceid') /};
var table = $("#tblLelang").DataTable({
        ajax: "@{DataTableCtr.paketPanitiaForCopy(lls_id)}",
        columns: [{visible:false, render: function(data, type, row) {
        	 	var paketId = row[0];
                var sourceid = row[5];
                var paket = row[1];														
                var status = row[2]; 
                var lelangTipe = row[7];

                var version = getLabelSpseVersion(row[6]);
                var flag = version.flag;
        		var highlight = version.highlight;

                row[5] = '<a href="'+copyDokumentUrl.url({destid:destid,sourceid:sourceid})+'" onClick=""><span class="badge  badge-info">Copy Dokumen</span></a>'
                return row[1] = '<div>'+ paket +'&nbsp;<span class="badge  badge-primary">'+lelangTipe+'</span>'+'&nbsp;<span class="'+highlight+'">'+flag+'</span></div>';
        	}},null,null, null,null,{orderable:false}
        ]
    });
    $('#tblLelang_filter input').unbind();
    $('#tblLelang_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
</script>